# Available Purchase

| Property                           | Type      | iOS | And | Comment                                                                                                                                                                                                                |
| ---------------------------------- | --------- | :-: | :-: | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `productId`                        | `string`  |  ✓  |  ✓  | The product ID for the product.                                                                                                                                                                                        |
| `transactionReceipt`               | `string`  |  ✓  |  ✓  | **iOS**: The `receipt`. **Android**: Stringified JSON of the original purchase object.                                                                                                                                 |
| `transactionId`                    | `string`  |  ✓  |  ✓  | A unique order identifier for the transaction.                                                                                                                                                                         |
| `transactionDate`                  | `number`  |  ✓  |  ✓  | The time the product was purchased, in milliseconds since the epoch (Jan 1, 1970).                                                                                                                                     |
| `quantityIOS`                      | `number`  |  ✓  |     | The number of items purchased.                                                                                                                                                                                         |
| `originalTransactionDateIOS`       | `number`  |  ✓  |     | For a transaction that restores a previous transaction, the date of the original transaction.                                                                                                                          |
| `originalTransactionIdentifierIOS` | `string`  |  ✓  |     | For a transaction that restores a previous transaction, the transaction identifier of the original transaction.                                                                                                        |
| `purchaseToken`                    | `string`  |     |  ✓  | A token that uniquely identifies a purchase for a given item and user pair.                                                                                                                                            |
| `autoRenewingAndroid`              | `boolean` |     |  ✓  | Indicates whether the subscription renews automatically. If true, the subscription is active, and will automatically renew on the next billing date. Otherwise, indicates that the user has canceled the subscription. |
| `dataAndroid`                      | `string`  |     |  ✓  | Original json for purchase data.                                                                                                                                                                                       |
| `signatureAndroid`                 | `string`  |     |  ✓  | The signature of the purchase data that was signed with the private key of the developer. The data signature uses the `RSASSA-PKCS1-v1_5` scheme.                                                                      |
| `isAcknowledgedAndroid`            | `boolean` |     |  ✓  | Checking if purchase has been acknowledged.                                                                                                                                                                            |
| `purchaseStateAndroid`             | `number`  |     |  ✓  | Indicating purchase state.                                                                                                                                                                                             |
| `packageNameAndroid`               | `string`  |     |  ✓  | Get package name.                                                                                                                                                                                                      |
| `developerPayloadAndroid`          | `string`  |     |  ✓  | https://developer.android.com/google/play/billing/developer-payload                                                                                                                                                    |
| `obfuscatedAccountIdAndroid`       | `string`  |     |  ✓  | https://developer.android.com/reference/com/android/billingclient/api/BillingFlowParams.Builder#setobfuscatedaccountidBuilder#setobfuscatedaccountId                                                                   |
| `obfuscatedProfileIdAndroid`       | `string`  |     |  ✓  | https://developer.android.com/reference/com/android/billingclient/api/BillingFlowParams.Builder#setobfuscatedprofileid                                                                                                 |

You need to test with one sandbox account, because the account holds previous purchase history.
